import { Component, Vue } from 'vue-property-decorator';
import { Route, RawLocation } from 'vue-router';
import { library } from '@fortawesome/fontawesome-svg-core';
import { faAngleDoubleLeft, faAngleDoubleRight,
         faHome, faPencilRuler, faThLarge, faUser } from '@fortawesome/free-solid-svg-icons';
import userStore from '@/store-modules/user';
import measureStore from '@/store-modules/measure';
// import UiIconButton from 'keen-ui/src/UiIconButton.vue';

library.add(faAngleDoubleLeft, faAngleDoubleRight, faHome, faPencilRuler, faThLarge, faUser);

@Component({
  components: {
    // UiIconButton
  }
})
export default class NavBar extends Vue {
  private collapsed: boolean;

  constructor() {
    super();
    this.collapsed = false;
  }

  public toggleCollapsed(): boolean {
    this.collapsed = !this.collapsed;
    return this.collapsed;
  }

  public get user()     { return userStore.user;        }
  public get measures() { return measureStore.measures; }
}
